export const AminoConverter = {
  "/mars.safety.v1beta1.MsgSafetyFundSpend": {
    aminoType: "/mars.safety.v1beta1.MsgSafetyFundSpend",
    toAmino: ({
      authority,
      recipient,
      amount
    }) => {
      return {
        authority,
        recipient,
        amount: amount.map(el0 => ({
          denom: el0.denom,
          amount: el0.amount
        }))
      };
    },
    fromAmino: ({
      authority,
      recipient,
      amount
    }) => {
      return {
        authority,
        recipient,
        amount: amount.map(el0 => ({
          denom: el0.denom,
          amount: el0.amount
        }))
      };
    }
  }
};